<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.module.custom.ocr.dataDao.OcrTaskchildPictureMybatisDao">
    <resultMap id="BaseResultMap" type="org.jeecg.module.custom.ocr.dataobject.OcrTaskchildPicture">
        <id column="ID" property="id" jdbcType="BIGINT"/>
        <result column="OCPICTUREID" property="ocpictureid" jdbcType="LONGVARCHAR"/>
        <result column="PICTURERESULT" property="pictureresult" jdbcType="LONGVARCHAR"/>
        <result column="PICTURECOMPARE" property="picturecompare" jdbcType="LONGVARCHAR"/>
        <result column="DEPTID" property="deptid" jdbcType="VARCHAR"/>
        <result column="TENANTID" property="tenantid" jdbcType="BIGINT"/>
        <result column="PACKAGEID" property="packageid" jdbcType="BIGINT"/>
        <result column="PICTUREID" property="pictureid" jdbcType="BIGINT"/>
        <result column="CATEGORY" property="category" jdbcType="VARCHAR"/>
        <result column="CATEGORYID" property="categoryid" jdbcType="BIGINT"/>
        <result column="SPECIFICATION" property="specification" jdbcType="VARCHAR"/>
        <result column="BUESSINESSNO" property="buessinessno" jdbcType="VARCHAR"/>
        <result column="STATES" property="states" jdbcType="INTEGER"/>
        <result column="PROCESSINSTANCEID" property="processinstanceid" jdbcType="VARCHAR"/>
        <result column="PROCESSDEFINITIONID" property="processdefinitionid" jdbcType="VARCHAR"/>
        <result column="DEPLOYMENTID" property="deploymentid" jdbcType="VARCHAR"/>
        <result column="ASSIGNEENAME" property="assigneename" jdbcType="VARCHAR"/>
        <result column="ASSIGNEE" property="assignee" jdbcType="VARCHAR"/>
        <result column="UPDATEUSER" property="updateuser" jdbcType="VARCHAR"/>
        <result column="UPDATETIME" property="updatetime" jdbcType="BIGINT"/>
        <result column="FILEANNEX" property="fileannex" jdbcType="VARCHAR"/>
        <result column="GUIDANG" property="guidang" jdbcType="INTEGER"/>
        <result column="CREATEUSER" property="createuser" jdbcType="VARCHAR"/>
        <result column="CREATEUSERNAME" property="createusername" jdbcType="VARCHAR"/>
        <result column="CREATEDATE" property="createdate" jdbcType="BIGINT"/>
        <result column="USERID" property="userid" jdbcType="BIGINT"/>
        <result column="USERNAME" property="username" jdbcType="VARCHAR"/>
        <result column="FROMTASKID" property="fromtaskid" jdbcType="VARCHAR"/>
        <result column="FROMTASKNAME" property="fromtaskname" jdbcType="VARCHAR"/>
        <result column="FROMUSERID" property="fromuserid" jdbcType="VARCHAR"/>
        <result column="FROMPROJECTID" property="fromprojectid" jdbcType="VARCHAR"/>
        <result column="FROMPLANID" property="fromplanid" jdbcType="VARCHAR"/>
        <result column="FROMUPTIME" property="fromuptime" jdbcType="BIGINT"/>
        <result column="FROMSOURCEID" property="fromsourceid" jdbcType="VARCHAR"/>
        <result column="HAVEPOINTS" property="havepoints" jdbcType="INTEGER"/>
        <result column="TASKNAME" property="taskname" jdbcType="VARCHAR"/>
    </resultMap>
</mapper>
